# The subuser registry

Each user is to have a registry of subusers, repositories, and repository states. This registry is a git repository with the following files:

- The registry.lock file format
- The subusers.json file format
- The repositories.json file format
  - Properties
  - Example repositories.json file
- The repository-states.json file format
  - Properties
- The permissions.json and permissions-template.json files